org.springframework.data.domain

## Class Range.RangeBuilder<T extends Comparable<T>>

- java.lang.Object
- - org.springframework.data.domain.Range.RangeBuilder<T>

Enclosing class:
  Range<T extends Comparable<T>>

    public static class Range.RangeBuilder<T extends Comparable<T>>
    extends Object

Builder for `Range` allowing to specify the upper boundary.

Since:
  2.0
Author:
  Mark Paluch

### Method Summary

All Methods Instance Methods Concrete Methods
`Range<T>` `to(Range.Bound<T> upper)` Create a `Range` given the upper `Range.Bound`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### to

    public Range<T> to(Range.Bound<T> upper)

Create a `Range` given the upper `Range.Bound`.

Parameters:
  `upper` - must not be null.
Returns: